import {Connection} from '../connection/Connection'
import {Awaitable} from '../../util'

export abstract class Schema {
    constructor(
        protected readonly connection: Connection,
    ) { }

    public abstract hasTable(name: string): Awaitable<boolean>

    public abstract hasColumn(table: string, name: string): Awaitable<boolean>

    public abstract hasColumns(table: string, name: string[]): Awaitable<boolean>
}
